<?php

namespace Litecms\Franchise;

use User;

class Franchise
{
    /**
     * $franchise object.
     */
    protected $franchise;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Franchise\Interfaces\FranchiseRepositoryInterface $franchise)
    {
        $this->franchise = $franchise;
    }

    /**
     * Returns count of franchise.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.franchise.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->franchise->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\FranchiseUserCriteria());
        }

        $franchise = $this->franchise->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('franchise::' . $view, compact('franchise'))->render();
    }
}
