<?php

namespace Litecms\Franchise\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class FranchiseTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Franchise\Models\Franchise $franchise)
    {
        return [
            'id'                => $franchise->getRouteKey(),
            'key'               => [
                'public'    => $franchise->getPublicKey(),
                'route'     => $franchise->getRouteKey(),
            ], 
            'create_pin'        => $franchise->create_pin,
            'free_pin'          => $franchise->free_pin,
            'url'               => [
                'public'    => trans_url('franchise/'.$franchise->getPublicKey()),
                'user'      => guard_url('franchise/franchise/'.$franchise->getRouteKey()),
            ], 
            'status'            => trans('app.'.$franchise->status),
            'created_at'        => format_date($franchise->created_at),
            'updated_at'        => format_date($franchise->updated_at),
        ];
    }
}